#pragma once
#include "afxcmn.h"
#include "afxwin.h"
#include "afxdtctl.h"
#include "Data.h"
#include "DialogAlmRec.h"
// CDialogAlmSearch 对话框

class CDialogAlmSearch : public CDialogEx
{
	DECLARE_DYNAMIC(CDialogAlmSearch)

public:
	CDialogAlmSearch(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDialogAlmSearch();

// 对话框数据
	enum { IDD = IDD_DIALOG_ALM_SEARCH };

protected:
	virtual BOOL OnInitDialog();
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	int m_i32Hour1;
	int m_i32Min1;
	int m_i32Hour2;
	int m_i32Min2;
	CDialogAlmRec m_CDialogAlmRec;
	CEdit m_CEdit32Hour1;
	CEdit m_CEdit32Min1;
	CEdit m_CEdit32Hour2;
	CEdit m_CEdit32Min2;
	CSpinButtonCtrl m_CSpinHour1;
	CSpinButtonCtrl m_CSpinMin1;
	CSpinButtonCtrl m_CSpinHour2;
	CSpinButtonCtrl m_CSpinMin2;
	CComboBox m_CComboType;

	CDateTimeCtrl m_CDateTimeCtrlDate1;
	CDateTimeCtrl m_CDateTimeCtrlDate2;
	TCHAR	m_cTimeFirst[20];
	TCHAR	m_cTimeLast[20];
	UINT8	m_u8AlmType;
	struct ALM_SEARCH_PARA m_stALM_SEARCH_PARA;
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedButtonAlmSearchSelech();

};
